#ifndef _CEGOGROUPCURSOR_H_INCLUDED_
#define _CEGOGROUPCURSOR_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoGroupCursor.h
// ------------------
// Cego group cursor class definition
//                                                         
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2000-2013 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: CegoGroupCursor
// 
// Description: 
//
// Status: QG-2.6
//
///////////////////////////////////////////////////////////////////////////////

#include <lfcbase/AVLTreeT.h>

#include "CegoGroupNode.h"

class CegoGroupCursor {
    
public:
    
    CegoGroupCursor(ListT<CegoField>& schema, AVLTreeT<CegoGroupNode>* pAVL);
    ~CegoGroupCursor();
    
    bool getFirst(ListT<CegoField>& fl);
    bool getNext(ListT<CegoField>& fl);
    
    void abort();

 private:

    AVLTreeT<CegoGroupNode>* _pAVL;
    ListT<int> _avgIdxList;

};

#endif
