#ifndef _CEGOXMLHELPER_H_INCLUDED_
#define _CEGOXMLHELPER_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoXMLHelper.h
// -----------------
// Cego XML helper
//
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2000-2013 Bjoern Lemke
//
// INTERFACE MODULE
//
// Class: CegoXMLHelper
// 
// Description: 
//
// Status: QG-2.6
//
///////////////////////////////////////////////////////////////////////////////

// base includes
#include <lfcbase/ListT.h>
// xml includes
#include <lfcxml/Element.h>

// cego includes
#include "CegoField.h"


class CegoXMLHelper {
    
public:

    CegoXMLHelper();
    ~CegoXMLHelper();
    
    void setColInfo(Element* pColElement, CegoField *pF );
    void getColInfo(const Chain& objName, Element* pColElement, CegoField &f);
    
private:
    
};

#endif




